--
-- Modify SQM UMTS Voice Transactional (Probe) KPI table to add NOT NULL constraint
--

-- fill in a default value to allow the NOT NULL constraint to be re-applied
update KPI_UMTS_VOICE_PRB set SUBSCRIBERTYPE_ENUM = -1 where SUBSCRIBERTYPE_ENUM IS NULL; 

-- Add DEFAULT value specifier first
alter table KPI_UMTS_VOICE_PRB modify SUBSCRIBERTYPE_ENUM DEFAULT -1;

-- Now add NOT NULL constraint
alter table KPI_UMTS_VOICE_PRB modify SUBSCRIBERTYPE_ENUM NOT NULL;
